:root {
    --primary-bg: #fff;
    --primary-text: #353d49;
    --secondary-text: #252627;
    --link-color: #879094;
    --shadow-color: rgba(0, 0, 0, 0.15);
    --borders: #555;
}


@font-face {
  font-family: "poppins";
  src: url("../fonts/Poppins-Regular.otf") format("opentype");
  font-weight: 100;
  font-style: normal;
}

@font-face {
    font-family: "tan-pearl";
    src: url("../fonts/fonnts.com-tan-pearl.otf");
    font-weight: 100%;
    font-style: normal;
}

.send-flowers-regular {
  font-family: "Send Flowers", cursive;
  font-weight: 400;
  font-style: normal;
}


.cinzel-decorative-regular {
  font-family: "Cinzel Decorative", serif;
  font-weight: 400;
  font-style: normal;
}

.cinzel-decorative-bold {
  font-family: "Cinzel Decorative", serif;
  font-weight: 700;
  font-style: normal;
}

.cinzel-decorative-black {
  font-family: "Cinzel Decorative", serif;
  font-weight: 900;
  font-style: normal;
}


*, *::before, *::after {
  box-sizing: border-box;
}

body {
  margin: 0;

  background-image: url("../img/main_bg.jpg");
  background-size: cover;        /* fill screen */
  background-position: center;  /* center image */
  background-repeat: no-repeat; /* no tiling */
  background-attachment: fixed; /* optional: subtle parallax */
}

body {
    font-family: 'poppins', sans-serif;
    color: #d79e67;
    min-height: 100vh;
    margin: 0 auto;
    line-height: 1.6;
}

html, body {
  margin: 0;
  padding: 0;    
  min-height: 100%;
}

header {
    display: flex;
    justify-content: flex-end; /* pushes content to the right */
}

.menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex; /* puts items in a row */
    background: black;
}

.menu li {
    margin-left: 20px; /* space between items */
}

/* Navigation Styles */
nav ul {
    display: flex;
    margin: 0.5rem 0;
    padding: 0;
}

nav ul li {
    display: inline;
    list-style: none;
    margin: 0.2rem 0;
}

nav.menu ul li {
    margin: 0 0.5rem;
}

nav a {
    text-decoration: none;
}


a {
    position: relative;
    color: #353d49;
    transition: color 0.3s ease;
}

a:hover, a:focus {
    color: #353d49;
}



/* Hero Section Styles */
.hero {
    background-size: cover;
    min-height: 15vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-family: 'tan-pearl', serif;
}

.hero div {
    padding: 0 1rem;
}

.hero h1,
.hero p,
.hero .subtitle {
    margin: 0;
}

.hero p {    
    color: white;
}


.hero img {
    height: 100px;
}

.hero h1 {
    font-size: 2.5rem;
    color: rgb(64,68,45);
}
